#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# Text Class

Extends Sprite
Defined in: `src/pixi/text/Text.js:5`
Module: PIXI

A Text Object will create a line(s) of text. To split a line you can use '\n'

## Constructor

### `Text`

(

- `text`
- `[style]`

)

Defined in `src/pixi/text/Text.js:5`

#### Parameters:

- `text` String

  The copy that you would like the text to display

- `[style]` Object optional

  The style parameters

  - `[font]` String optional

    default 'bold 20pt Arial' The style and size of the font

  - `[fill='black']` Object optional

    A canvas fillstyle that will be used on the text eg 'red', '#00FF00'

  - `[align='left']` String optional

    Alignment for multiline text ('left', 'center' or 'right'), does not affect single line text

  - `[stroke]` String optional

    A canvas fillstyle that will be used on the text stroke eg 'blue', '#FCFF00'

  - `[strokeThickness=0]` Number optional

    A number that represents the thickness of the stroke. Default is 0 (no stroke)

  - `[wordWrap=false]` Boolean optional

    Indicates if word wrap should be used

  - `[wordWrapWidth=100]` Number optional

    The width at which text will wrap

- Index
- Methods
- Properties

## Item Index

### Methods

- addChild
- addChildAt
- click
- destroy
- getChildAt
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- onTextureUpdate
- removeChild
- setInteractive deprecated
- setStyle
- setText
- setTexture
- swapChildren
- tap
- touchend
- touchendoutside
- touchstart
- updateText
- updateTexture
- updateTransform
- wordWrap

### Properties

- _height
- _interactive
- _width
- alpha
- anchor
- blendMode
- buttonMode
- children
- color
- defaultCursor
- dynamic
- filters
- height
- hitArea
- interactive
- localTransform
- mask
- parent
- pivot
- position
- renderable
- rotation
- scale
- stage
- texture
- tint
- visible
- width
- worldAlpha
- worldTransform
- worldVisible

## Methods

### `addChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:70`

Adds a child to the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to add to the container

### `addChildAt`

(

- `child`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:81`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `child` DisplayObject

  The child to add

- `index` Number

  The index to place the child in

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:188`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `destroy`

(

- `destroyTexture`

)

Defined in `src/pixi/text/Text.js:274`

Destroys this text object

#### Parameters:

- `destroyTexture` Boolean

### `getChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:135`

Returns the child at the specified index

#### Parameters:

- `index` Number

  The index to get the child from

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:194`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:220`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:214`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:200`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:207`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `onTextureUpdate`

(

- `event`

)
private

Inherited from Sprite: `src/pixi/display/Sprite.js:144`

When the texture is updated, this event will fire to update the scale and frame

#### Parameters:

- `event` Object

### `removeChild`

(

- `child`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:153`

Removes a child from the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to remove

### `setInteractive`

(

- `interactive`

)
deprecated

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:261`

Deprecated: Simply set the `interactive` property directly

[Deprecated] Indicates if the sprite will have touch and mouse interactivity. It is false by default Instead of using this function you can now simply set the interactive property to true or false

#### Parameters:

- `interactive` Boolean

### `setStyle`

(

- `[style]`
- `[style.font='bold`

)

Defined in `src/pixi/text/Text.js:38`

Set the style of the text

#### Parameters:

- `[style]` Object optional

  The style parameters

  - `[fill='black']` Object optional

    A canvas fillstyle that will be used on the text eg 'red', '#00FF00'

  - `[align='left']` String optional

    Alignment for multiline text ('left', 'center' or 'right'), does not affect single line text

  - `[stroke='black']` String optional

    A canvas fillstyle that will be used on the text stroke eg 'blue', '#FCFF00'

  - `[strokeThickness=0]` Number optional

    A number that represents the thickness of the stroke. Default is 0 (no stroke)

  - `[wordWrap=false]` Boolean optional

    Indicates if word wrap should be used

  - `[wordWrapWidth=100]` Number optional

    The width at which text will wrap

- `[style.font='bold` String

  20pt Arial'] The style and size of the font

### `setText`

(

- `text`

)

Defined in `src/pixi/text/Text.js:65`

Set the copy for the text object. To split a line you can use '\n'

#### Parameters:

- `text` String

  The copy that you would like the text to display

### `setTexture`

(

- `texture`

)

Inherited from Sprite: `src/pixi/display/Sprite.js:121`

Sets the texture of the sprite

#### Parameters:

- `texture` Texture

  The PIXI texture that is displayed by the sprite

### `swapChildren`

(

- `child`
- `child2`

)
private

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:109`

[NYI] Swaps the depth of 2 displayObjects

#### Parameters:

- `child` DisplayObject
- `child2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:231`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:244`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:250`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:238`

A callback that is used when the user touches over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `updateText`

() private

Defined in `src/pixi/text/Text.js:78`

Renders text

### `updateTexture`

() private

Defined in `src/pixi/text/Text.js:151`

Updates texture size based on canvas size

### `updateTransform`

() private

Defined in `src/pixi/text/Text.js:181`

Updates the transform of this object

### `wordWrap`

(

- `text`

)
private

Defined in `src/pixi/text/Text.js:230`

Applies newlines to a string to have it optimally fit into the horizontal bounds set by the Text object's wordWrapWidth property.

#### Parameters:

- `text` String

## Properties

### `_height`

Number private

Inherited from Sprite: `src/pixi/display/Sprite.js:44`

The height of the sprite (this is initially set by the texture)

### `_interactive`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:115`

[read-only] Whether or not the object is interactive, do not toggle directly! use the `interactive` property

### `_width`

Number private

Inherited from Sprite: `src/pixi/display/Sprite.js:35`

The width of the sprite (this is initially set by the texture)

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:47`

The opacity of the object.

### `anchor`

Point

Inherited from Sprite: `src/pixi/display/Sprite.js:16`

The anchor sets the origin point of the texture. The default is 0,0 this means the textures origin is the top left Setting than anchor to 0.5,0.5 means the textures origin is centered Setting the anchor to 1,1 would mean the textures origin points will be the bottom right

### `blendMode`

Number

Inherited from Sprite: `src/pixi/display/Sprite.js:63`

The blend mode to be applied to the sprite

Default: PIXI.blendModes.NORMAL;

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:72`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `children`

Array<DisplayObject>

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:18`

[read-only] The of children of this container.

### `color`

Array<> private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:154`

[NYI] Unknown

### `defaultCursor`

String

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:125`

This is the cursor that will be used when the mouse is over this object. To enable this the element must have interaction = true and buttonMode = true

### `dynamic`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:163`

[NYI] Holds whether or not this object is dynamic, for rendering optimization

### `filters`

Array An array of filters

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:335`

Sets the filters for the displayObject.

- IMPORTANT: This is a webGL only feature and will be ignored by the canvas renderer. To remove filters simply set this property to 'null'

### `height`

Number

Inherited from DisplayObjectContainer but overwritten in `src/pixi/display/Sprite.js:105`

The height of the sprite, setting this will actually modify the scale to achieve the value set

### `hitArea`

Rectangle | Circle | Ellipse | Polygon

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:63`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:274`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

Default: false

### `localTransform`

Mat3 private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:144`

[read-only] Current transform of the object locally

### `mask`

Graphics

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:315`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Graphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:88`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:31`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:15`

The coordinate of the object relative to the local coordinates of the parent.

### `renderable`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:80`

Can this object be rendered

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:39`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:23`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:97`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `texture`

Texture

Inherited from Sprite: `src/pixi/display/Sprite.js:27`

The texture that the sprite is using

### `tint`

Number

Inherited from Sprite: `src/pixi/display/Sprite.js:54`

The tint applied to the sprite. This is a hex value

Default: 0xFFFFFF

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:55`

The visibility of the object.

### `width`

Number

Inherited from DisplayObjectContainer but overwritten in `src/pixi/display/Sprite.js:89`

The width of the sprite, setting this will actually modify the scale to achieve the value set

### `worldAlpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:106`

[read-only] The multiplied alpha of the displayObject

### `worldTransform`

Mat3 private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:134`

[read-only] Current transform of the object based on world (parent) factors

### `worldVisible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:294`

[read-only] Indicates if the sprite is globaly visible.